Bug 996320 - Align BPMS/BRMS dependencies to EAP 6.1.1
Align BPMS/BRMS dependencies to EAP 6.1.1
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
Unspecified Unspecified
high Severity high
: ER5
: 6.0.0
Assigned To: Walter Medvedeo
Jiri Svitak
Depends On: 989519
Blocks: 996319
  Show dependency treegraph
Reported: 2013-08-12 19:33 EDT by Rajesh Rajasekaran
Modified: 2015-06-01 21:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-08-06 16:09:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rajesh Rajasekaran 2013-08-12 19:33:32 EDT
Description of problem:
Syncronize dependencies of all BRMS/BPMS components that are shared with EAP to the versions shipped with EAP 6.1.1
See the versions shipped with EAP 6.1.1 here. https://docspace.corp.redhat.com/docs/DOC-131321
The version corresponding to EAP 6.1.1 ER5 is expected to be the final shipped version.
See BZ#996319 for reasons behind the alignment.
Comment 1 Geoffrey De Smet 2013-08-16 04:48:05 EDT
This issue needs to wait until after the platform BOM work has been applied.

I 'll probably be on paternity leave by the time this starts. Pedro was talking about this change, so I 've assigned him for now.
Comment 2 Walter Medvedeo 2013-09-06 12:07:45 EDT
Currently, both kie-wb kie-drools-wb, and other releated subprojects uses dependencies to java libraries defined in jboss-integration-platform-bom.

All libraries versions defined in jboss-integration-plaform-bom were checked against versions used by JBoss EAP 6.1.1 GA. (oficial release was used)

As result of the comparation, version number of some libraries in jboss-integration-plaform-bom was changed in order to use exactly the same version number as JBoss EAP 6.1.1 GA.  (In all cases only minor version numbers was changed, ex. x.y.9 to x.y.12)

Kie-wb an kie-drools-wb applications distributions for JBoss EAP 6.1.1 GA was generated and tested using the modified jboss-integration-platform bom.

After that a pull request was generated in order to incorporate changes to the master branch.

Comment 5 Jiri Svitak 2013-12-04 06:59:40 EST
https://bugzilla.redhat.com/show_bug.cgi?id=996319 has been already verified. This BZ is just part of EAP 6.1.1 support.

EAP 6.1.1 is supported since ER5. Verified.

Note You need to log in before you can comment on or make changes to this bug.